<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Clenix_Core;
use \RT_Posts;
use ClenixTheme;


if ( !class_exists( 'RT_Posts' ) ) {
	return;
}

$post_types = array(
	'clenix_team'       => array(
		'title'           => __( 'Team Member', 'clenix-core' ),
		'plural_title'    => __( 'Team Members', 'clenix-core' ),
		'menu_icon'       => 'dashicons-businessman',
		'labels_override' => array(
			'menu_name'   => __( 'Team', 'clenix-core' ),
		),
		'rewrite'         => isset(ClenixTheme::$options['team_slug']) ? ClenixTheme::$options['team_slug'] : 'team',
		'supports'        => array( 'title', 'thumbnail', 'editor', 'excerpt', 'page-attributes' )
	),
	'clenix_service'  => array(
		'title'           => __( 'Service', 'clenix-core' ),
		'plural_title'    => __( 'Services', 'clenix-core' ),
		'menu_icon'       => 'dashicons-book',
		'rewrite'         => isset(ClenixTheme::$options['service_slug']) ? ClenixTheme::$options['service_slug'] : 'service',
		'supports'        => array( 'title', 'thumbnail', 'editor', 'excerpt', 'page-attributes' ),
	),
	'clenix_portfolio'  => array(
		'title'           => __( 'Portfolio', 'clenix-core' ),
		'plural_title'    => __( 'Portfolios', 'clenix-core' ),
		'menu_icon'       => 'dashicons-book',
		'rewrite'         => isset(ClenixTheme::$options['portfolio_slug']) ? ClenixTheme::$options['portfolio_slug'] : 'portfolio',
		'supports'        => array( 'title', 'thumbnail', 'editor', 'excerpt', 'page-attributes' ),
		'taxonomies' 	  => array( 'post_tag' ),
	),
	'clenix_testim'     => array(
		'title'           => __( 'Testimonial', 'clenix-core' ),
		'plural_title'    => __( 'Testimonials', 'clenix-core' ),
		'menu_icon'       => 'dashicons-awards',
		'rewrite'         => isset(ClenixTheme::$options['testimonial_slug']) ? ClenixTheme::$options['testimonial_slug'] : 'testimonial',
		'supports'        => array( 'title', 'thumbnail', 'editor', 'page-attributes' )
	),
);

$taxonomies = array(
	'clenix_team_category' => array(
		'title'        => __( 'Team Category', 'clenix-core' ),
		'plural_title' => __( 'Team Categories', 'clenix-core' ),
		'post_types'   => 'clenix_team',
		'rewrite'      => array( 'slug' => isset(ClenixTheme::$options['team_cat_slug']) ? ClenixTheme::$options['team_cat_slug'] : 'team-category'),
	),
	'clenix_service_category' => array(
		'title'        => __( 'Service Category', 'clenix-core' ),
		'plural_title' => __( 'Service Categories', 'clenix-core' ),
		'post_types'   => 'clenix_service',
		'rewrite'      => array( 'slug' => isset(ClenixTheme::$options['service_cat_slug']) ? ClenixTheme::$options['service_cat_slug'] : 'service-category'),
	),
	'clenix_portfolio_category' => array(
		'title'        => __( 'Portfolio Category', 'clenix-core' ),
		'plural_title' => __( 'Portfolio Categories', 'clenix-core' ),
		'post_types'   => 'clenix_portfolio',
		'rewrite'      => array( 'slug' => isset(ClenixTheme::$options['portfolio_cat_slug']) ? ClenixTheme::$options['portfolio_cat_slug'] : 'portfolio-category'),
	),
	'clenix_testimonial_category' => array(
		'title'        => __( 'Testimonial Category', 'clenix-core' ),
		'plural_title' => __( 'Testimonial Categories', 'clenix-core' ),
		'post_types'   => 'clenix_testim',
		'rewrite'      => array( 'slug' => isset(ClenixTheme::$options['testim_cat_slug']) ? ClenixTheme::$options['testim_cat_slug'] : 'testimonial-category'),
	),
);

$Posts = RT_Posts::getInstance();
$Posts->add_post_types( $post_types );
$Posts->add_taxonomies( $taxonomies );